<?php
/**
 * The Horde_Editor_tinymce:: class provides an WYSIWYG editor for use
 * in the Horde Framework.
 *
 * $Horde: framework/Editor/Editor/tinymce.php,v 1.4 2006/03/05 04:39:33 chuck Exp $
 *
 * Copyright 2003-2006 Nuno Loureiro <nuno@co.sapo.pt>
 * Copyright 2004-2006 Jan Schneider <jan@horde.org>
 * Copyright 2005-2006 Ryan Miller <rmiller@horde.org>
 *
 * See the enclosed file COPYING for license information (LGPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/lgpl.html.
 *
 * @author  Nuno Loureiro <nuno@co.sapo.pt>
 * @author  Jan Schneider <jan@horde.org>
 * @author  Ryan Miller <rmiller@horde.org>
 * @since   Horde 3.2
 * @package Horde_Editor
 */
class Horde_Editor_tinymce extends Horde_Editor {

    /**
     * Constructor. Include the necessary javascript files.
     */
    function Horde_Editor_tinymce($params = array())
    {
        global $notification;

        Horde::addScriptFile('/services/editor/tinymce/tiny_mce.js', 'horde', true);

        if (isset($params['config'])) {
            $js = '';
            foreach ($params['config'] as $config => $value) {
                $js .= 'tinyMCE.init({' . $config . ' : ' . '"' . $value . '"})';
            }
        } else {
            $js = 'tinyMCE.init({ mode: "textareas" })';
        }

        $notification->push($js, 'javascript');
    }

}
